/*! HTML5 Boilerplate v5.3.0 | MIT License | https://html5boilerplate.com/ */

/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
    color: #222;
    font-size: 16px;
    line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * These selection rule sets have to be separate.
 * Customize the background color to match your design.
 */

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

/** loading */
body.loading-state {
    overflow: hidden;
}

body.loading-state .loader {
    display: block;
}


/** Loader */
.loader {
    position: fixed;
    display: none;
    left: 50%;
    top: 50%;
    z-index: 50000;
    
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%); 
}

.loader #spinner {
    box-sizing: border-box;
    stroke: #673AB7;
    stroke-width: 3px;
    -webkit-transform-origin: 50%;
            transform-origin: 50%;
    -webkit-animation: line 1.6s cubic-bezier(0.4, 0, 0.2, 1) infinite, rotate 1.6s linear infinite;
            animation: line 1.6s cubic-bezier(0.4, 0, 0.2, 1) infinite, rotate 1.6s linear infinite; 
}

@-webkit-keyframes rotate {
  from { -webkit-transform: rotate(0); transform: rotate(0); }
  to   { -webkit-transform: rotate(450deg); transform: rotate(450deg); } }

@keyframes rotate {
  from { -webkit-transform: rotate(0); transform: rotate(0); }
  to   { -webkit-transform: rotate(450deg); transform: rotate(450deg); } }

@-webkit-keyframes line {
  0%   { stroke-dasharray: 2, 85.964; -webkit-transform: rotate(0); transform: rotate(0); }
  50%  { stroke-dasharray: 65.973, 21.9911; stroke-dashoffset: 0; }
  100% { stroke-dasharray: 2, 85.964; stroke-dashoffset: -65.973; -webkit-transform: rotate(90deg); transform: rotate(90deg); } }

@keyframes line {
  0%   {stroke-dasharray: 2, 85.964; -webkit-transform: rotate(0); transform: rotate(0); }
  50%  {stroke-dasharray: 65.973, 21.9911; stroke-dashoffset: 0; }
  100% {stroke-dasharray: 2, 85.964; stroke-dashoffset: -65.973; -webkit-transform: rotate(90deg); transform: rotate(90deg); } }
  


/*
 * A better looking default horizontal rule
 */

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}


/*
 * Allow only vertical resizing of textareas.
 */

textarea {
    resize: vertical;
}



/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden {
    display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * http://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 */

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}


/*
 * Extends the .visuallyhidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
    visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix:before,
.clearfix:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.clearfix:after {
    clear: both;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

@font-face {
  font-family: 'fontello';
  src: url('font/fontello.eot?1439671');
  src: url('font/fontello.eot?1439671#iefix') format('embedded-opentype'),
       url('font/fontello.woff2?1439671') format('woff2'),
       url('font/fontello.woff?1439671') format('woff'),
       url('font/fontello.ttf?1439671') format('truetype'),
       url('font/fontello.svg?1439671#fontello') format('svg');
  font-weight: normal;
  font-style: normal;
}

 [class^="icon-"]:before, [class*=" icon-"]:before {
    font-family: "fontello";
    font-style: normal;
    font-weight: normal;
    speak: none;
    display: inline-block;
    text-decoration: inherit;
    width: 1em;
    text-align: center;
    font-variant: normal;
    text-transform: none;
    line-height: 1em;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
 
.icon-logout:before { content: '\e800'; } /* '' */
.icon-search:before { content: '\e801'; } /* '' */
.icon-star:before { content: '\e802'; } /* '' */
.icon-star-empty:before { content: '\e803'; } /* '' */
.icon-cog:before { content: '\e804'; } /* '' */
.icon-chart-line:before { content: '\e805'; } /* '' */
.icon-chart-bar:before { content: '\e806'; } /* '' */
.icon-chart:before { content: '\e807'; } /* '' */
.icon-signal:before { content: '\e808'; } /* '' */
.icon-chart-bar-1:before { content: '\e809'; } /* '' */
.icon-chart-pie-1:before { content: '\e80a'; } /* '' */
.icon-chart-pie-alt:before { content: '\e80b'; } /* '' */
.icon-chart-1:before { content: '\e80c'; } /* '' */
.icon-signal-1:before { content: '\e80d'; } /* '' */
.icon-users:before { content: '\e80e'; } /* '' */
.icon-plus:before { content: '\e80f'; } /* '' */
.icon-wrench:before { content: '\e810'; } /* '' */
.icon-dot-3:before { content: '\e811'; } /* '' */
.icon-trash-empty:before { content: '\e812'; } /* '' */
.icon-progress-3:before { content: '\e813'; } /* '' */
.icon-resize-full:before { content: '\e814'; } /* '' */
.icon-chart-area-1:before { content: '\e815'; } /* '' */
.icon-tags:before { content: '\e816'; } /* '' */
.icon-user:before { content: '\e817'; } /* '' */
.icon-download:before { content: '\e818'; } /* '' */
.icon-upload:before { content: '\e819'; } /* '' */
.icon-menu:before { content: '\f0c9'; } /* '' */
.icon-list-bullet:before { content: '\f0ca'; } /* '' */
.icon-angle-left:before { content: '\f104'; } /* '' */
.icon-angle-right:before { content: '\f105'; } /* '' */
.icon-angle-up:before { content: '\f106'; } /* '' */
.icon-angle-down:before { content: '\f107'; } /* '' */
.icon-quote-left:before { content: '\f10d'; } /* '' */
.icon-quote-right:before { content: '\f10e'; } /* '' */
.icon-code:before { content: '\f121'; } /* '' */
.icon-link-ext-alt:before { content: '\f14c'; } /* '' */
.icon-export-alt:before { content: '\f14d'; } /* '' */
.icon-chart-area:before { content: '\f1fe'; } /* '' */
.icon-chart-pie:before { content: '\f200'; } /* '' */
.icon-chart-line-1:before { content: '\f201'; } /* '' */
.icon-map-o:before { content: '\f278'; } /* '' */
.icon-handshake-o:before { content: '\f2b5'; } /* '' */
.icon-chart-bar-2:before { content: '\f526'; } /* '' */
.icon-arrows-cw:before { content: '\e81a'; } /* '' */
   
   
h1, h2, h3, h4 {
    font-weight: 300;
}

h1 {
    margin: 0 0 1rem 0;
    font-size: 2rem;
    font-weight: 300;
}

h1 a {
    text-decoration: none;
}

label small {
    font-size: .7em;
    opacity: .7;
}

body {
    overflow-x: hidden;
    font-family: 'Nunito Sans', sans-serif;
    /* font-family: "Roboto", sans-serif; */
}

body.loading-state:before {
    content: "";
    position: fixed;
    z-index: 300000;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
    background-color: rgba(0,0,0,0.3);
}


.container {
    background-color: white;
}

.filter-state-wrapper {
    position: fixed;
    display: none;
    margin-left: -.5rem;
    padding: .5rem;
    border: 1px solid #ccc;
    background: white;
    text-align: left;
}


.filter-state .filter-state-wrapper {
    display: block;
}

.radio-inline {
    display: block;
    margin: 0;
    font-weight: 300;
    font-family: 'Noto Sans', sans-serif;
}

.actions {
    margin: 1rem 0;
    padding: 1rem 0;
    border-top: 1px dotted #f0f0f0;
    text-align: right;
}

.nav-link {
    cursor: pointer;
}

.tweets-page-content td, 
.tweets-page-content th {
    word-break: break-word;
}



@media screen and (max-width: 600px) {
    
    body {
        background-color: transparent;
    }
    
    main {
        position: static;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }
    
    .classifier tbody td:first-child + td {
        padding-left: 0;
    }
    
    .user-info {
        float: none;
        text-align: right;
    }
    
    .user-tweets-stats {
        display: none;
    }
    
    
    .toggle-filter-action {
        display: none;
    }
    
    .radio-inline {
        display: block;
    }
    
    .classifier thead {
        display: none;
    }
    
    .classifier tr {
        display: block;
    }
    
    
    .classifier td {
        display: block;
        padding: .33rem;
        font-size: .85rem;
        text-align: center;
    }
    
    .classifier td:first-child + td {
        font-size: 1.5rem;
        font-weight: 300;
    }
    
    .classifier tbody td:last-child {
        border-bottom: 1px solid black;
    }
    
    .classifier .form-control {
        font-size: 2rem;
        line-height: 4;
    }
    
    .nav-tabs.min-tab-selector-action {
        max-width: 100%;
        overflow-x: scroll;
        overflow-y: hidden;
    }
    
    .admin-pagination {
        float: none;
    }
    
    .table-wrapper {
        max-width: 100%;
        width: 100%;
        overflow-x: scroll;
    }
    
    .tweets-table tbody td:first-child { 
        display: none;
    }
    
    .tweets-table thead { 
        display: none;
    }
    
    .tweets-table,
    .tweets-table tr,
    .tweets-table th,
    .tweets-table td {
        display: block;
    }
    
    .tweets-table tbody th:first-child {
        display: none;
    }
    
    .tweets-table tbody tr {
        margin: 0 0 .5rem 0;    
    }
    
    .tweets-table tbody td {
        border-bottom: 1px solid #ccc;
        padding: 0 .5rem;
        background: #f0f0f0 !important;
    }
    
    .tweets-table tbody td:last-child {
        border-bottom: none;
    }
    
    .admin-left-pane .nav-link {
        margin: 0;
    }
    
}

   
/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   http://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {

    @page {
        size: landscape
    }

    .filter-wrapper {
        display: none;
    }

    
    *,
    *:before,
    *:after,
    *:first-letter,
    *:first-line {
        background: transparent !important;
        color: #000 !important; /* Black prints faster:
                                   http://www.sanbeiji.com/archives/953 */
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }


    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    /*
     * Don't show links that are fragment identifiers,
     * or use the `javascript:` pseudo protocol
     */

    a[href^="#"]:after,
    a[href^="javascript:"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    /*
     * Printing Tables:
     * http://css-discuss.incutio.com/wiki/Printing_Tables
     */

    thead {
        display: table-header-group;
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}
